/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.queplix.core.client.app.vo;

import java.util.List;

/**
 * In form grid on demand data for the type {@link #GET_SORTED_DATA}.
 *
 * @author Vasily Mikhailitchenko
 * @since 28.05.2007
 */
public class SortedInformOnDemandData extends InFormGridOnDemandData {
    /**
     * List of {@link RowData}
     * List<RowData>
     */
    private List data;

    public SortedInformOnDemandData(String fieldID, List data) {
        super(fieldID, GET_SORTED_DATA);
        this.data = data;
    }

    public SortedInformOnDemandData() {
        this("", null);
    }

    public void setData(List data){
        this.data = data;
    }

    public List getData(){
        return data;
    }
}
